Subject: Re: git branch --merged and git branch --verbose do not combine

From: Junio C Hamano <[email-masked]>
Date: Mon, 15 Sep 2014 13:20:51 -0700

David Kastrup <[email-masked]> writes:

> This gives the same result as
>
> git branch --verbose --merged
>
> namely _only_ listing the current branch verbosely.

Hmph.  Then that is a different issue.  As I never use --merged
myself, even though I use "git branch [--verbose] --no-merged pu"
quite often to check the list of topics that I received but not yet
merged anywhere in my tree, I wouldn't be entirely surprised that
the combination does not work, but with a quick glance of the code,
especially how matches_merge_filter() uses "--[no-]merged", I cannot
offhand imagine how --no-merged would work and --merged break.